<!DOCTYPE style-sheet PUBLIC "-//James Clark//DTD DSSSL Style Sheet//EN" [
<!entity docbook.dsl PUBLIC "-//Norman Walsh//DOCUMENT DocBook HTML Stylesheet//EN" CDATA DSSSL>
]>

<!-- 

Documento: desenvolvimento-html.dsl
Verso: 0.3

Autor: Jorge Godoy <godoy@conectiva.com.br>
Atual mantenedor: Jorge Godoy <godoy@conectiva.com.br>

Alteraes no DocBook DTD. Essas alteraes so implementadas como um
estilo. Acho que assim tenho um maior controle - e isso no confunde
o psgml.


Changelog:
 
20000620 - Colocadas duas colunas. 
20000621 - Colocado ndice para artigos em HTML.

-->

<style-sheet>
<style-specification id="html" use="docbook">
<style-specification-body>


;; =========================
;; ndices.

;; Duas colunas para ndice remissivo.
(define %page-n-columns%
  ;; Sets the number of columns on each page
  2)

;; Gerar ndice no HTML
(define %generate-article-toc% 
  #t)


;; =========================
;; Cabealhos de navegao

;; Cabealhos de navegao com o assunto anterior e o prximo... 
(define %header-navigation%
  #t)

(define %footer-navigation%
  #t)

;; Tabelas para os cabealhos de navegao.
(define %gentext-nav-use-tables%
  #t)

;; Largura da tabela que  definida para os cabealhos de navegao 
(define %gentext-nav-tblwidth% 
  "100%")


;; =========================
;; Indentao

;; Indentao para listagens de programas
(define %indent-programlisting-lines%
  "    ") ;; 4 espaos. Pode ser #f para suprimir a indentao.

;; Indentao para telas
(define %indent-screen-lines%
  "    ") ;; 4 espaos. Pode ser #f para suprimir a indentao.

;; =========================
;; Verbatim

;; Sombreamento em ambientes verbatim
(define %shade-verbatim%  
  #t)

;; Tabela de atributos usados no sombreamento
(define ($shade-verbatim-attr$)
  (list
   (list "BORDER" "0")
   (list "BGCOLOR" "#E0E0E0")
   (list "WIDTH" ($table-width$))))

;; ========================
;; Callouts

;; Coluna padro para callouts.
(define %callout-default-col% 
  70)

;; ========================
;; Bibliografia

(define biblio-number
  #t)

;; ========================
;; Imagens

(define %graphic-default-extension% 
  "jpg")

;; Arquivos terminados com essa extenso no tero acrescidos o valor
;; acima. 
(define %graphic-extensions% 
  '("gif" "jpg" "jpeg" "png" "tif" "tiff" "eps" "epsf"))

;; ========================
;; Estilos CSS

;; Nome do estilo
(define %stylesheet%
  "publicacoes.css")

;; Tipo do estilo
(define %stylesheet-type%
  "text/css")


;; ========================
;; Arquivos gerados

;; Usar ID como nome de arquivo
(define %use-id-as-filename%
  #t)

;; Diretrios de sada devem ser usados?
(define use-output-dir
  #t)

;; Diretrio de sada
;;(define %output-dir%
;;  "html/") ;; Diretrio em relao ao diretrio atual.

;; Extenso padro
(define %html-ext% 
  ".html")

;; Nome do arquivo principal padro.
(define %root-filename%
  "index") ;; Pode ser #f tambm. A extenso  adicionada
           ;; automaticamente, de acordo com o valor definido
           ;; acima. Isso vale para todos os arquivos cujos nomes
           ;; foram gerados a partir do ID.

;; Adicionar o atributo de idioma no nome do arquivo?
(define %html-use-lang-in-filename% 
  #f)

;; Gerar HTML 4.0?
(define %html40%
  #t)

;; ====================
;; Satisfazendo os DTDs...

;; Elementos de bloco podem existir dentro do para do DocBook, mas
;; no no p do HTML. Isso acrescenta p e /p adicionais para
;; tentar resolver esse problema.
(define %fix-para-wrappers%
  #t)

;; ====================
;; Sees

;; Mostra o nmero das sees.
(define %section-autolabel%
  #t)

;; No deve haver nenhuma seo com o ndice.
(define (chunk-skip-first-element-list)
  '())

</style-specification-body>
</style-specification>
<external-specification id="docbook" document="docbook.dsl">
</style-sheet>
